#include <Stepper.h>
const int stepsPerRevolution = 200;  
Stepper myStepper(stepsPerRevolution, 8, 10, 9, 11);
int motorSpeed;
int shiftmotorSpeed;

void setup() {
  Serial.begin(9600);
}

void loop() {
  int sensorReading = analogRead(A0);
  motorSpeed = map(sensorReading, 0, 1023, 0, 100);
  shiftmotorSpeed = abs (50 - motorSpeed);
  //Serial.println(motorSpeed);
  if (motorSpeed > 0) {

    if (motorSpeed < 50) {
      myStepper.setSpeed(shiftmotorSpeed);
      myStepper.step(stepsPerRevolution / 100 * 1);
    }else{
      myStepper.setSpeed(shiftmotorSpeed);
      myStepper.step(stepsPerRevolution / 100 * -1);
    }
      

  }
  
}
